As a valued customer, we wanted to notify you that Magento has released a critical security patch (SUPEE-6285). It is strongly recommended that this patch be installed on your store immediately. If you need assistance, please contact our support team.

Thursday, July 16, 2015

« Back